.pre-wrap {
	white-space: pre-wrap !important;
}

.uppercase {
	text-transform: uppercase;
}

td, th {
	padding: 0;
}

.text-center {
	text-align: center;
}

/** 
	Set the margins of the page to 0, so the footer and the header
	can be of the full height and width !
 **/
@page {
	margin: 0cm 0cm;
}

.page-break {
	page-break-before: always;
}

/** Define now the real margins of every page in the PDF **/
body {
	font-size: 11px;
	font-family: 'Helvetica';
	margin-top: 1cm;
	margin-left: 1cm;
	margin-right: 1cm;
	margin-bottom: 1.5cm;
}

/** Define the header rules **/
header {
	position: fixed;
	top: 0cm;
	left: 1cm;
	right: 1cm;
	height: 1cm;
}

/** Define the footer rules **/
footer {
	position: fixed; 
	bottom: 0cm; 
	left: 1cm; 
	right: 1cm;
	height: 1cm;
}

.text-center {
	text-align: center;
}

.group {
	margin-bottom: 20px !important;
}

.bg-danger {
	background: #D64343 !important;
	color: #FFFFFF;
}

.divTableRow.bg-danger .divTableCell {
	background: #D64343 !important;
	color: #FFFFFF;
}

/* Table */
table.table {
	width: 100%;
	border-collapse: collapse;
}

table.table th {
	text-align: center;
	vertical-align: middle;
}

table.table th, table.table td {
	border: 1px solid #000;
	padding: 2px 2px;
}

/* DivTable.com */
.divTable {
	display: table;
	width: 100%;
	border-collapse: collapse;
}
.divTableRow {
	display: table-row;
}
.divTableHeading {
	display: table-header-group;
}
.divTableHead {
	text-align: center;
	vertical-align: middle;
}
.divTableCell, .divTableHead {
	border: 1px solid #000;
	display: table-cell;
	padding: 2px 2px;
}
.divTableHeading {
	display: table-header-group;
	font-weight: bold;
}
.divTableFoot {
	display: table-footer-group;
	font-weight: bold;
}
.divTableBody {
	display: table-row-group;
}

/* table presensi */
.holiday {
	background: #D64444 !important;
	color: #FFFFFF !important;
}
.holiday * {
	background: #D64444 !important;
	color: #FFFFFF !important;
}

.absenday {
	color: #52AFAF;
	font-weight: bold;
	font-style: italic;
}
.absenday * {
	color: #52AFAF;
	font-weight: bold;
	font-style: italic;
}

.cutoff {
	color: #D64444;
	font-weight: bold;
	font-style: italic;
}